/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.WcOfertasFlotantes;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class WcOfertasFlotantesFacade extends AbstractFacade<WcOfertasFlotantes> implements WcOfertasFlotantesFacadeLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public WcOfertasFlotantesFacade() {
        super(WcOfertasFlotantes.class);
    }

    @Override
    public List<WcOfertasFlotantes> busquedaListadoOfertaProg(String programaCodigo) {
        Query q = em.createNamedQuery("WcOfertasFlotantes.findByProgramaCodigoActiva");
        q.setParameter("programaCodigo", programaCodigo);
        return q.getResultList();
    }

    @Override
    public List<WcOfertasFlotantes> busquedaListadoOfertaProgMultiple(String programaCodigo) {
        Query q = em.createNamedQuery("WcOfertasFlotantes.findByProgramaCodigoActivaMultiple");
        q.setParameter("programaCodigo", programaCodigo);
        return q.getResultList();
    }


    @Override
    public List<WcOfertasFlotantes> busquedaListadoOfertaCodO(String ofertaCodigo) {
        Query q = em.createNamedQuery("WcOfertasFlotantes.findByOfertaCodigo");
        q.setParameter("ofertaCodigo", ofertaCodigo);
        return q.getResultList();
    }

}
